#!/usr/bin/perl

################################################################################
# Name:        CreateAdmin.pl
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: Creates an Administrator Account
# Copyright:   GPL
################################################################################
push(@INC,".." );
require "adminDB.pm" ;

if ( $#ARGV < 1 ) {
   print "Usage: CreateAdmin.pl UserId \"Name\" \n" ;
   exit(-1);
}

$UserId = $ARGV[0] ;
$UserName = $ARGV[1] ;

$writable = "yes" ;
&open_databases($writable);
if ( addAdmin($UserId,$UserName)) {
   printf("Administrator UserId %s, Name='%s' added\n",$UserId,$UserName) ;
} else {
   printf("Problems adding Administrator UserId %s, Name='%s'\n",$UserId,$UserName) ;
}
&close_databases();
